function love.load()
	
	--Set random seed by OS time
	math.randomseed(os.time())
	
	--Load snowflake textures (14)
	snowflake = {}
	
	snowflake[1] = love.graphics.newImage( "snowflake1.png" )
	snowflake[2] = love.graphics.newImage( "snowflake2.png" )
	snowflake[3] = love.graphics.newImage( "snowflake3.png" )
	snowflake[4] = love.graphics.newImage( "snowflake4.png" )
	snowflake[5] = love.graphics.newImage( "snowflake5.png" )
	snowflake[6] = love.graphics.newImage( "snowflake6.png" )
	snowflake[7] = love.graphics.newImage( "snowflake7.png" )
	snowflake[8] = love.graphics.newImage( "snowflake8.png" )
	snowflake[9] = love.graphics.newImage( "snowflake9.png" )
	snowflake[10] = love.graphics.newImage( "snowflake10.png" )
	snowflake[11] = love.graphics.newImage( "snowflake11.png" )
	snowflake[12] = love.graphics.newImage( "snowflake12.png" )
	snowflake[13] = love.graphics.newImage( "snowflake13.png" )
	snowflake[14] = love.graphics.newImage( "snowflake14.png" )

	--Load font
	mainFont = love.graphics.newFont("vcrosd.ttf", 14)
	
	--Set to fullscreen
	love.window.setFullscreen( true )

	--Get monitor w,h
	width, height = love.window.getMode()
	
	--Cubes
	cubes = {}
	cubes.speed = 5
	cubes.cube = {}
	cubes.spawn = function()
		cube = {}
		cube.x = math.random(0, width - 4)
		cube.y = 0
		cube.ttl = 0
		cube.type = math.random(1, 14)
		table.insert(cubes.cube, cube)
	end
	
	--Other variables
	total = 0
	delay = 1
	ttlg = 100
	
end

function love.keypressed(k)
   if k == 'escape' then
      love.event.quit()
   end
end

function love.update(dt)
	
	if delay > 0 then
		delay = delay - 1
	else
		cubes.spawn()
		total = total + 1
		delay = math.random(10,80)
	end
	
	for i,v in ipairs(cubes.cube) do
		if v.y < height - 20 then
			v.y = v.y + cubes.speed
		else
			if v.ttl > ttlg then
				table.remove(cubes.cube, i)
			end
			v.ttl = v.ttl + 1
		end
		
		
	end
	
end

function love.draw()

	love.graphics.setColor(255, 255 ,255)
	love.graphics.setFont(mainFont)
	love.graphics.print("Total: " .. total, 1, height - 15)

	
	for i,v in ipairs(cubes.cube) do
		love.graphics.draw(snowflake[v.type], v.x, v.y)
	end
	
end

